# Class ShowProgress

java.lang.Object
org.snpsift.util.ShowProgress

public class ShowProgress extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`SHOW_EVERY`
`static final int`
`SHOW_EVERY_LINE`

## Constructor Summary

Constructors
Constructor
Description
`ShowProgress()`
`ShowProgress(int showEvery, int showEveryLine)`

## Method Summary

Modifier and Type
Method
Description
`double`
`elapsedSec()`
`void`
`tick(int count)`
`void`
`tick(int count, org.snpeff.vcf.VariantVcfEntry varVcf)`
`void`
`tick(int count, org.snpeff.vcf.VcfEntry vcfEntry)`
Call this method every iteration

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SHOW_EVERY

public static final int SHOW_EVERY

See Also:
  - Constant Field Values

### SHOW_EVERY_LINE

public static final int SHOW_EVERY_LINE

See Also:
  - Constant Field Values

## Constructor Details

### ShowProgress

public ShowProgress()

### ShowProgress

public ShowProgress(int showEvery, int showEveryLine)

## Method Details

### tick

public void tick(int count)

### tick

public void tick(int count, org.snpeff.vcf.VariantVcfEntry varVcf)

### tick

public void tick(int count, org.snpeff.vcf.VcfEntry vcfEntry)
Call this method every iteration

### elapsedSec

public double elapsedSec()